<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * OASLT - Only Admins See Load Time
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function OASLT_Displays(&$buffer)
{
	global $modSettings, $context, $scripturl, $txt;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;
	
	$oaslt = array();

	// Define the old and the new
	if (!empty($modSettings['enable_oaslt'])) {
		$old_loadtime = '<p>' . $txt['page_created'] . $context['load_time'] . $txt['seconds_with'] . $context['load_queries'] . $txt['queries'] . '</p>';
		$admin_loadtime = (allowedTo('admin_forum') ? '<p>' . $txt['page_created'] . $context['load_time'] . $txt['seconds_with'] . $context['load_queries'] . $txt['queries'] . '</p>' : '');
		$oaslt[$old_loadtime] = $admin_loadtime;
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($oaslt), array_values($oaslt), $buffer);
}

function OASLT_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('OASLT');
	// Add setting(s)
	$oaslt = array(
			'',
			array('check', 'enable_oaslt'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $oaslt);
}
?>